:root {
    --primary-color: #05070f;
    --primary-color-hover: #0d1e26;
    --text-color: #5ce1e6;
    --text-color-hover: #c4f4f3;
    --font-family: "Cinzel", "Times New Roman", Times, serif;
}

* {
    margin: 0px;
    padding: 0px;
}

html {
    scroll-behavior: smooth;
    color-scheme: dark;
}

html,
body {
    width: 100vw;
    height: 100vh;
    font-family: "Cinzel", "Times New Roman", Times, serif;
    font-weight: 500;
    overflow-x: hidden;
    overflow-y: hidden;
}

.no-select {
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.no-select:focus {
    outline: none !important;
}

/* Components */
.x-button-primary {
    background-color: var(--primary-color);
    color: var(--text-color);
    border: 2px solid var(--text-color);
    padding: 10px 14px;
    font-size: 1rem;
    cursor: pointer;
    transition: 0.3s ease;
}

.x-button-primary:hover {
    background-color: var(--primary-color-hover);
    color: var(--text-color-hover);
}

a {
    color: var(--text-color);
}

a:hover {
    color: var(--text-color-hover);
}
